Subject: big ncurses change on horizon...

From: Michael Alan Dorman <[email-masked]>
Date: Fri, 09 Aug 1996 19:16:39 -0400

The upstream ncurses sources underwent a soname change about two
months ago.  They seem likely to undergo another one in the immediate
future, so it's just as well I hadn't worried with packaging the
current stuff yet.

Neither of these changes can be ignored, as they involve mods to some
public data structures, totally breaking binary compatability.

I intend to release one last ncurses3.0 package here in the next
couple of weeks that will take care of some packaging issues, and
hopefully do anything necessary to make the upgrade a smooth one.

When the new non-beta of ncurses comes out, I'll be releasing a new
ncurses32 or whatever (I think they're looking at the end of August as
a target, and I'll probably need a couple of weeks after that).

It would be nice if everyone who has packages dependent upon ncurses
could try and be ready to do upgrades to their packages in fairly
short order.  As soon as I get my hands on a suitable release
candidate, I can start making it available to people dealing with
important packages so we can hopefully batch upgrade this.

I'm very open for input.  The way I see it, this may be our sort of
test-run for whenever libc6 actually debuts.

Mike.
--
"Don't let me make you unhappy by failing to be contrary enough...."